Create a face authentication attempt

Beta

Create an attempt for a face authentication.

If you've already created an attempt for this authentication, the authentication status must be one of the following:

  • created
  • pending
  • capture_in_progress
  • retry_required

If you create a new attempt while the status is any other value, you receive a 409 Conflict response.

Path Parameters
  • face_authentication_id
    Type: string Pattern: ^fav_\w+$
    required

    The face authentication's unique identifier.

Body·
application/json
  • redirect_url
    Type: string Format: uri
    required

    The URL to redirect the applicant to after the attempt.

  • phone_number
    Type: object ·

    The applicant's mobile phone number, if sharing the attempt URL via SMS.

  • client_information
    Type: object ·

    The applicant's details.

Responses
  • application/json
  • 404

    Not Found

  • 409

    Conflict

  • 500

    Internal Server Error

Request Example for post/face-authentications/{face_authentication_id}/attempts
curl https://identity-verification.checkout.com/face-authentications/fav_mtta050yudd54y5iqb5ijh8jtvz/attempts \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "redirect_url": "https://myweb.site?query-param=hello"
}'
{
  "id": "fatp_nk1wbmmczqumwt95k3v39mhbh2w",
  "created_on": {},
  "modified_on": {},
  "phone_number": {
    "country_code": "+1",
    "number": "5555550102"
  },
  "client_information": {
    "pre_selected_residence_country": "FR",
    "pre_selected_language": "en-US"
  },
  "redirect_url": "https://myweb.site?query-param=hello",
  "status": "pending_redirection",
  "response_codes": [],
  "_links": {
    "verification_url": {
      "href": "https://idv.checkout.com/4hryu5cei5/"
    },
    "self": {
      "href": "https://identity-verification.sandbox.checkout.com/face-authentications/fav_mtta050yudd54y5iqb5ijh8jtvz/attempts/fatp_nk1wbmmczqumwt95k3v39mhbh2w"
    }
  }
}